summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Brad Hermanson <apeitheo@gmail.com>2011-11-13 00:44:39 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-11-13 01:43:24 -0600
commit37383606472712ebd44b786a0ce9c8f9db7f1c8a (patch)
tree8b09f1265c3ae7b2946d9450d7b43febcaeee99f /libraries
parentd7b13787dfd138c7a5e4fc0fd9af2412b20050db (diff)
downloadslackbuilds-37383606472712ebd44b786a0ce9c8f9db7f1c8a.tar.gz
slackbuilds-37383606472712ebd44b786a0ce9c8f9db7f1c8a.tar.xz
libraries/libgexiv2: Added (GObject wrapper around Exiv2 library)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libgexiv2/README2
-rw-r--r--libraries/libgexiv2/libgexiv2.SlackBuild71
-rw-r--r--libraries/libgexiv2/libgexiv2.info10
-rw-r--r--libraries/libgexiv2/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/libraries/libgexiv2/README b/libraries/libgexiv2/README
new file mode 100644
index 0000000000..39d710379d
--- /dev/null
+++ b/libraries/libgexiv2/README
@@ -0,0 +1,2 @@
+Gexiv2 is a GObject-based wrapper around Exiv2, a library used to manage image
+metadata.
diff --git a/libraries/libgexiv2/libgexiv2.SlackBuild b/libraries/libgexiv2/libgexiv2.SlackBuild
new file mode 100644
index 0000000000..5c13ee76d4
--- /dev/null
+++ b/libraries/libgexiv2/libgexiv2.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Brad Hermanson <apeitheo@gmail.com>
+
+PRGNAM=libgexiv2
+VERSION=0.3.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# This doesn't really do much...
+./configure --prefix=/usr
+
+make \
+ CFLAGS="$SLKCFLAGS -g -pipe -fPIC -nostdlib" \
+ PREFIX=/usr \
+ LIB=lib${LIBDIRSUFFIX}
+make install \
+ PREFIX=/usr \
+ LIB=lib${LIBDIRSUFFIX} \
+ DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALLING MAINTAINERS NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libgexiv2/libgexiv2.info b/libraries/libgexiv2/libgexiv2.info
new file mode 100644
index 0000000000..71052077ad
--- /dev/null
+++ b/libraries/libgexiv2/libgexiv2.info
@@ -0,0 +1,10 @@
+PRGNAM="libgexiv2"
+VERSION="0.3.1"
+HOMEPAGE="http://redmine.yorba.org/projects/gexiv2"
+DOWNLOAD="http://yorba.org/download/gexiv2/0.3/libgexiv2-0.3.1.tar.bz2"
+MD5SUM="066ec95994ae34d7bec39de13123f5a3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Brad Hermanson"
+EMAIL="apeitheo@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libgexiv2/slack-desc b/libraries/libgexiv2/slack-desc
new file mode 100644
index 0000000000..09b51aeccb
--- /dev/null
+++ b/libraries/libgexiv2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libgexiv2: libgexiv2 (GObject wrapper around Exiv2 library)
+libgexiv2:
+libgexiv2: gexiv2 is a GObject-based wrapper around the Exiv2 library. It
+libgexiv2: makes the basic features of Exiv2 available to GNOME applications.
+libgexiv2:
+libgexiv2: Homepage: http://redmine.yorba.org/projects/gexiv2
+libgexiv2:
+libgexiv2:
+libgexiv2:
+libgexiv2:
+libgexiv2: